import * as EventEmitter from 'eventemitter3';
export declare class BaseItem extends EventEmitter {
    protected id: string;
    protected title: string;
    protected container: HTMLElement;
    constructor(id: string, title: string);
    getDOMNode(): HTMLElement;
    getContents(): void;
    protected onFocus(event: Event): void;
    focus(): void;
    click(): void;
    getID(): string;
}
